All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::scheduler::result_of Namespace Reference

Helper metafunctions used for the scheduler. More...

## Classes

struct | num_nodes
struct | num_nodes< const matrix_expression< LHS, RHS, OP > >
struct | num_nodes< const scalar_expression< LHS, RHS, OP > >
struct | num_nodes< const vector_expression< LHS, RHS, OP > >
struct | num_nodes< matrix_expression< LHS, RHS, OP > >
struct | num_nodes< scalar_expression< LHS, RHS, OP > >
struct | num_nodes< vector_expression< LHS, RHS, OP > >
struct | numeric_type_id
| Helper metafunction for obtaining the runtime type ID for a numerical type. More...
struct | op_type_info
| Metafunction for querying type informations. More...

## Detailed Description

Helper metafunctions used for the scheduler.